%define		name kio_locate
%define		Name kio-locate
%define		version 0.3.4
%define		release 1mdk

Name:		%{name}
Summary:	Kio-locate is a KIO Slave for the locate command. 
Version: 	%{version}
Release: 	%{release}
Source: 	%{Name}_%{version}.tar.bz2
URL: 		http://www.schuerig.de/michael/linux/kio-locate/index.html
Group: 		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-buildroot
License: 	GPL
BuildRequires: 	kdelibs-devel kdebase-devel
BuildRequires:  XFree86-devel jpeg-devel
BuildRequires:  png-devel
Requires:	slocate

%description
Kio-locate is a KIO Slave for the locate command. 

%prep
rm -fr $RPM_BUILD_ROOT

%setup -q -n %{Name}-%version

%build
./configure --prefix=%{_prefix} --disable-rpath --enable-final
%make

%install
%makeinstall_std

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README COPYING AUTHORS TODO
%{_libdir}/kde3/kio_locate.*

%dir %_docdir/HTML/en/kio_locate/
%doc %_docdir/HTML/en/kio_locate/common
%doc %_docdir/HTML/en/kio_locate/*.bz2
%doc %_docdir/HTML/en/kio_locate/*.png
%doc %_docdir/HTML/en/kio_locate/*.docbook
   
%dir %_datadir/services/
%_datadir/services/*.protocol

%_datadir/locale/de/LC_MESSAGES/kio_locate.mo
%_datadir/locale/fr/LC_MESSAGES/kio_locate.mo

%dir %_datadir/services/searchproviders/
%_datadir/services/searchproviders/locate-search.desktop

%changelog
* Sun Jan 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Fri Jan 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.1-2mdk
- Add --enable-final

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-1mdk
- 0.2.3

* Mon Oct 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.2-1mdk
- 0.2.2

* Fri Oct 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-7mdk
- Rebuild

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-6mdk
- Fix distlint

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.1-5mdk
- builrequires

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-4mdk
- Rebuild

* Thu Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.1-3mdk
- rebuild

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-2mdk
- Fix requires
- Fix build requires

* Sun Dec 15 2002 Laurent Culioli <laurent@pschit.net> 0.1-1mdk
- from Franck Qulain <shift@free.fr> 
	- First release
